%define mod_name HTML-Tagset
Name:           perl-%{mod_name}
Version:        3.24
Release:        1
Summary:        HTML::Tagset - data tables useful in parsing HTML
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PETDANCE/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl-generators perl-interpreter perl(:VERSION) >= 5.4
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(strict) perl(vars)
BuildRequires:  perl(Test) perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.14

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module contains data tables useful in dealing with HTML.
It provides no functions or methods.

%package help
Summary:        Documentation for perl-%{mod_name}

%description help
Documentation for perl-%{mod_name}.

%prep
%autosetup -n %{mod_name}-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
make test

%files
%{perl_vendorlib}/HTML/

%files help
%doc Changes README.md
%{_mandir}/man3/


%changelog
* Fri Mar 15 2024 wangshuo <wangshuo@kylinos.cn> - 3.24-1
- Upgrade to version 3.24

* Mon Oct 24 2022 yangmingtai <yangmingtai@huawei.com> - 3.20-38
- define mod_name to opitomize the specfile

* Tue Oct 22 2019 Zaiwang Li <lizaiwang1@huawei.com> - 3.20-37
- Init Package.

